======================================================================
MSI Kombustor 4
https://www.geeks3d.com/furmark/kombustor/
======================================================================


Version 4.1.35.0 - 2025.10.23
-----------------------------
- fixed textures coordinates bugs in the MSI-01 demo.
- fixed bugs in the Vulkan renderer.
- updated with GeeXLab 0.66.1 libs.


Version 4.1.34.0 - 2025.10.17
-----------------------------
- added support of AMD Radeon RX 9060, Radeon RX 7700, 
  Radeon RX 7400 and Radeon PRO W7400.
- added support of NVIDIA GeForce RTX 5090 D v2.
- added support of Intel Arc Pro B50 / B60.
- updated with GeeXLab 0.66.0 libs.


Version 4.1.33.0 - 2025.05.22
-----------------------------
- added support of NVIDIA GeForce RTX 5060.
- updated with GeeXLab SDK 0.64.1.


Version 4.1.32.0 - 2025.05.05
-----------------------------
- added support of NVIDIA GeForce RTX 5060 Ti
- updated with GeeXLab SDK 0.64.0.


Version 4.1.31.0 - 2025.03.12
-----------------------------
+ added support of NVIDIA GeForce RTX 5090, RTX 5080, RTX 5070 Ti, RTX 5070.
+ added support of AMD Radeon RX 9070 XT and RX 9070.
+ added support of NVIDIA GeForce RTX 3050 6GB.
- updated with GeeXLab SDK 0.63.0.


Version 4.1.30.0 - 2025.01.01
-----------------------------
- added support of Intel Arc B580 and Arc B570 Battlemage GPUs.
- added VRAM temperature for NVIDIA GPUs.
- updated with GeeXLab SDK 0.61.0.


Version 4.1.29.0 - 2024.04.03
-----------------------------
- fixed bugs in Vulkan renderer.
- added support of NVIDIA GeForce RTX 4090 D.
- updated GPU information for NVIDIA GeForce RTX 3050 6GB.
- updated with latest GeeXLab SDK libs (v0.58.0)


Version 4.1.28.0 - 2024.02.11
-----------------------------
- added support of GeForce RTX 4070 SUPER, RTX 4070 Ti SUPER and RTX 4080 SUPER.
- added support of Radeon RX 7600 XT.
- added support of AMD Radeon RX 6750 GRE 10GB / 12 GB.
- added support of AMD Radeon RX 7800 XT and RX 7700 XT.
- updated with latest GeeXLab SDK libs (v0.57.0)


Version 4.1.27.0 - 2023.08.27
-----------------------------
- added support of AMD Radeon RX 7900 GRE, NVIDIA GeForce RTX 4060 Ti 16GB, 
  Intel Arc A570M, Arc A530M, Arc Pro A60M and A30M, AMD Radeon PRO W7900, 
  PRO W7800, PRO W7600 and PRO W7500.
- updated with latest GeeXLab SDK libs (v0.53.0)


Version 4.1.26.0 - 2023.05.25
-----------------------------
- added support of NVIDIA GeForce RTX 4060 Ti.
- added support of AMD Radeon RX 7600.
- added a in-app message box to notify the availability of a new version.
- updated with latest GeeXLab SDK libs (v0.52.0)


Version 4.1.25.0 - 2023.05.22
-----------------------------
- updated MAHM (MSI Afterburner Hardware Monitor) support in the 
  GPU monitoring plugin.


Version 4.1.24.0 - 2023.04.24
-----------------------------
- added a configuration file (conf.xml) to enable or disable
  some features.
- added support of AMD Radeon RX 7600M XT, Radeon RX 7700S and RX 7600S.


Version 4.1.23.0 - 2023.04.13
-----------------------------
- GPU Load is now GPU Usage in the On Screen Information.
- added new command line option to enable 
  GPU monitoring via Afterburner (if present): -do_ab_monitoring
  By default GPU monitoring via Afterburner is now disabled.


Version 4.1.22.0 - 2023.04.12
-----------------------------
- added support of NVIDIA GeForce RTX 4070.
- updated with latest GeeXLab SDK libs (v0.51.2)


Version 4.1.21.0 - 2023.04.09
-----------------------------
- fixed a bug in the OpenGL renderer 
  (binding of vertex attributes). Now the MSI-01 demo
  works fine on Intel Arc GPUs.
- improved the detection of AMD Radeon GPUs.
- minor changes in the artifact scanner plugin.
- updated with latest GeeXLab SDK libs (v0.51.1)


Version 4.1.20.0 - 2023.01.31
-----------------------------
- added support of Radeon RX 7900 XTX and RX 7900 XT. 
- added support of GeForce RTX 4070 Ti. 
- added monitoring support for Intel Arc A770, A750, A380. 
- updated with latest GeeXLab SDK libs (v0.50.0)


Version 4.1.19.0 - 2022.12.08
-----------------------------
* fixed a bug in the detection of AMD Radeon GPUs.
- updated with latest GeeXLab SDK libs (v0.49.2)


Version 4.1.18.0 - 2022.11.25
-----------------------------
- added support of GeForce RTX 4090 and RTX 4080. 
- added detection of Intel Arc A750 and A770.
- improved detection of some Radeon RX 470/480/570/580 GPUs.
- updated GPU monitoring with NVAPI 525
- updated with latest GeeXLab SDK libs (v0.49.0)
- open issue: MSI-01 (OpenGL) graphics test has corrupted
  texture coordinates on Intel Arc GPUs.


Version 4.1.17.0 - 2022.07.31
-----------------------------
- updated some OpenGL 3/4 shaders to make AMD Adrenalin 22.7.1 happy.
- added support of AMD Radeon RX 6700 and NVIDIA GeForce GTX 1630.
- added detection of Intel Arc A380.
- improved detection of Radeon GPUs.
- updated GPU monitoring with NVAPI 515
- updated with latest GeeXLab SDK libs (v0.48.0)


Version 4.1.16.0 - 2022.05.14
-----------------------------
- added support of AMD Radeon RX 6950 XT, 6750 XT and 6650 XT.
- added detection of Intel Arc 7 A770M, A730M, 
  Arc 5 A550M and Arc 3 A370M and A350M.
- added support of GeForce RTX 3090 Ti, 
  RTX A4500, GeForce RTX 3050 8GB, GeForce RTX 3050 4GB. Updated some
  RTX 3060 and RTX 3050 models. 
- added support of AMD Radeon RX 6400, RX 6500 XT, 
  RX 6500M, RX 6300M, Radeon RX 6650 XT, Radeon Pro W6500M, Radeon Pro W6400, Radeon Pro W6600, 
  Radeon Pro W6600M, Radeon RX 6650M, Radeon RX 6800S / RX 6700S. 
- updated GPU monitoring with NVAPI 510
- updated with latest GeeXLab SDK libs (v0.46.0)


Version 4.1.15.0 - 2021.11.30
-----------------------------
- fixed a bug in the control panel management of the MSI-01 demo.
- updated with latest GeeXLab SDK libs (v0.45.0 final).


Version 4.1.14.0 - 2021.11.15
-----------------------------
- compiled with VS2022
- updated GPU monitoring with NVAPI 495
- updated with latest GeeXLab SDK libs (v0.44.1)


Version 4.1.13.0 - 2021.08.18
-----------------------------
- added support of AMD Radeon RX 6700M, RX 6800M, RX 6600 XT, RX 6600, 
  RX 6600M and Radeon Pro W6800 and W6600.
- added support of NVIDIA RTX A2000.
- fixed support of NVIDIA GeForce RTX 3080 Ti and RTX 3070 Ti.
- fixed crash when DPI scaling (100%, 125%, 150%, ...) was changed at 
  runtime by the user.
- fixed PhysX device name in the log file.
- updated with latest GeeXLab SDK libs (v0.43.0)
  that include latest PhysX 4.1.2.



Version 4.1.12.0 - 2021.05.18
-----------------------------
- added support of NVIDIA GeForce RTX 3080 Ti
- added support of NVIDIA GeForce RTX 3070 Ti
- added support of NVIDIA GeForce RTX 3050
- added support of NVIDIA GeForce RTX 3060 12GB
- added support of NVIDIA GeForce RTX 3060 (id: 2504)
- added support of NVIDIA A6000, A5000 and A4000.
- updated with latest GeeXLab SDK libs (v0.42.2)


Version 4.1.11.0 - 2021.01.30
-----------------------------
- added support of NVIDIA GeForce GT 1010
- added support of NVIDIA GeForce RTX 3080 Laptop, RTX 3070 Laptop and
  RTX 3060 Laptop.
- bugfix: the artifact scanner remained always enabled after the first use.
- updated with latest GeeXLab SDK libs (v0.40.0)


Version 4.1.10.0 - 2020.12.14
-----------------------------
- fixed a texturing bug in MSI-01 and MSI-02 demos.
- updated with latest GeeXLab SDK libs (v0.39.2)


Version 4.1.9.0 - 2020.12.10
----------------------------
- added support of AMD Radeon RX 6900 XT.
- added support of NVIDIA GeForce RTX 3060 Ti.
- updated with latest GeeXLab SDK libs (v0.39.1)


Version 4.1.8.0 - 2020.11.20
----------------------------
- added support of AMD Radeon RX 6800 and RX 6800 XT.
- added support of GeForce RTX 3070.
- updated with latest GeeXLab SDK libs (v0.39.x)
- compiled with VS2019.


Version 4.1.7.0 - 2020.09.25
----------------------------
- added support of GeForce RTX 3080 and RTX 3090.
- added support of Radeon RX 5300.
- added display of ASIC power in Watts for 
  AMD Radeon RDNA GPUs.
- updated with latest GeeXLab SDK libs (v0.38.1.0)


Version 4.1.6.0 - 2020.06.05
----------------------------
- updated with new Vulkan2 renderer.
- updated with latest GeeXLab SDK libs (v0.33.0.0)
- log file back in Kombustor folder.
- fixed artifact scanner. 


Version 4.1.5.0 - 2020.02.12
----------------------------
- disabled artifact scanning with all PhysX 4 tests.


Version 4.1.4.0 - 2020.02.12
----------------------------
- fixed a bug in artifact scanning with 
  demo "(GL) msi-01 (burn-in mode)".
- fixed a bug in all VRAM stress test demos 
  (like (GL) FurMark-Donut-XXXXMB): now VRAM is correctly 
  filled with data (lot of textures).
- updated with latest GeeXLab SDK libs (v0.29.14.0)
  

Version 4.1.3.0 - 2020.01.23
----------------------------
- added support of Radeon RX 5700 XT, Radeon RX 5500 XT, 
  Radeon RX 5600 XT, GeForce RTX 2060 with TU104 GPU 
  and GeForce GTX 1650 SUPER.
- updated with latest GeeXLab SDK libs (v0.29.12.0)
- fixed screen name bug (always anonymous) in score 
  submission box.


Version 4.1.2.0 - 2019.12.12
----------------------------
- fixed the launch of the PhysX 4 test: 
  "(GL) msi-02 (PhysX4 GPU - hard)"
- fixed bugs in the Vulkan renderer.
- the log file is now saved in user's temp folder
  (C:\Users\USER_NAME\AppData\Local\Temp). 
- updated with latest GeeXLab SDK libs (v0.29.9.0)
- added support of NVIDIA Quadro RTX 3000/4000/5000 Mobile, 
  GeForce GTX 1650 Mobile, GeForce GTX 1660 Ti Mobile,
  GeForce RTX 2060/2070/2080 Mobile, Quadro T1000/T2000 Mobile,
  and AMD Radeon RX 5500.
- added support of NVIDIA GeForce GTX 1660 SUPER.


Version 4.1.1.0 - 2019.10.02
----------------------------
! fixed a bug in the Vulkan renderer (window resizing).
! updated with latest GeeXLab SDK libs (v0.29.3.0)


Version 4.1.0.0 - 2019.08.22
----------------------------
! added a simple GPU monitoring to the main GUI. 
+ added a control panel to the MSI-01 in demo mode.
+ added a technical guide (PDF).
+ added PhysX4 CPU/GPU medium++ test that increases
  the number of rigid bodies (6000) and increases the 
  PhysX solver interations.
+ added support of GeForce RTX 2080 SUPER and added
  new RTX 2060/2070 SUPER.
! improved the Vulkan renderer (bugfixes + minor changes).
! updated with latest GeeXLab SDK libs (v0.29.0.0)
  including PhysX SDK 4.1.1.


Version 4.0.1.0 - 2019.07.03
----------------------------
+ added support of GeForce RTX 2060 SUPER and RTX 2070 SUPER.
! improved / fixed highDPI scaling support.
! updated with latest GeeXLab SDK libs (v0.28.4.0).
! changed the major version number: now 4.x.x.x.


Version 0.8.0.0 - 2019.06.03
----------------------------
+ added new PhysX 4 GPU/CPU rigid bodies 
  benchmark (msi02).
+ disallow screen saver and screen blanking.
+ added logging of GPU data (command line).
+ added online score submission
  https://gpuscore.top/msi/kombustor/
+ added new GPU memory tests (1700MB, 3200MB, 
  5200MB and 6500MB)
+ added new stress test (msi01)
* fixed bugs in the Vulkan renderer.
+ added support of recent NVIDIA and AMD GPUs.
! updated command line options.
! updated with latest GeeXLab SDK libs.


Version 0.6.3.3 - 2018.07.05
----------------------------
* fixed the dependency with api-ms-win-shcore-scaling-l1-1-1.dll 
  on Windows 7 for the CPU Burner utility.
! removed the background image of the user interface on Windows 7
  (to prevent issues with high-DPI scaling).


Version 0.6.3.2 - 2018.07.03
----------------------------
* fixed the dependency with api-ms-win-shcore-scaling-l1-1-1.dll 
  on Windows 7.
! compilation with latest 3D framework.


Version 0.6.3.1 - 2018.06.15
----------------------------
! Rebuild the setup installer to avoid false-positive
  with some antivirus.


Version 0.6.3.0 - 2018.05.16
----------------------------
* fixed bugs in artifact scanner with Vulkan renderer
  and improved Vulkan support for Radeon and GeForce GPUs.
+ added minimal high-DPI devices support.
! compilation with latest 3D framework.


Version 0.6.2.0 - 2018.01.19
----------------------------
+ added 21/9 resolutions.
! minor changes in the rendering of FurMark(MSI)
  and FurMark(Donut) tests.
! updated MSI gaming logo.
! updated with latest 3D framework.
* fixed Combined OpenGL 4 demo, the furry donut was
  not rendered!


Version 0.6.1.0 - 2017.10.23
----------------------------
+ added new temperature graph for OpenGL and Vulkan.
* fixed some minor bugs.
! updated with latest GeeXLab SDK libs.


Version 0.6.0.0 - 2017.09.04
----------------------------
+ added new stress test: TessMark Vulkan.
+ added score file (_scores.csv)
! improved command line support.
* fixed artifact scanner.
* fixed various minor bugs.
! updated with latest GeeXLab SDK libs.


Version 0.5.1.0 - 2017.08.17
----------------------------
! fixed Vulkan GPU selection in benchmark mode.
+ added -gpu_index command line paramter to select
  a particular Vulkan GPU.
* fixed minor bugs.



Version 0.5.0.1 - 2017.08.15
----------------------------
* fixed minor bugs


Version 0.5.0.0 - 2017.08.08
----------------------------
+ added selection of the Vulkan GPU in the main dialog box.
+ added Vulkan version of FurMark stress test.
! improved artifact scanner speed.
+ available in 32-bit and 64-bit.
! updated with latest GeeXLab SDK libs.



Version 0.4.1.0 - 2017.03.31
----------------------------
! updated online database.
+ added Cooler Boost ON/OFF selection in the score dialog box.
! changed default benchmark duration to 420000 ms (7 min).
! changed default resolution to 1920x1080.
! minor changes in the GUI to fix Windows DPI issues.


Version 0.4.0.0 - 2017.03.29
----------------------------
+ added support of the GeForce GTX 1080 Ti.
+ added support of AMD Radeon RX 580, RX 570 and RX 560.
+ added support of AMD Radeon Pro WX 7100, WX 5100, WX4100,
  WX 4150 and WX 4130.
+ added initial support of AMD Polaris 12 and Vega 10 based videocards.
+ added support of the GTX 1050 for notebook (ID: 0x1c8d).
+ added support of Intel HD Graphics 630 (Kaby Lake).
! added support of AMD Radeon R7 M360, R7 M340, R7 M260, 
  R7 M460 and R7 M440. 
! updated with latest GeeXLab SDK libs.
! updated: reset the UAC execution level to "as invoker".


Version 0.3.0.2 - 2016.10.12
----------------------------
! GPU monitoring moved in a separate update thread.
! updated with latest 3d framework.


Version 0.3.0.1 - 2016.10.04
----------------------------
* minor changes in the score submit.


Version 0.3.0.0 - 2016.10.04
----------------------------
+ added GPU temperatures min and max to the submitted score.
+ added CPU temperatures min and max to the submitted score.
+ added CPU temperature graph (requires MSI Afterburner).
+ added the CPU burner utility.


Version 0.2.1.0 - 2016.09.19
----------------------------
* fixed a bug in score submissions.


Version 0.2.0.0 - 2016.09.16
----------------------------
. first version for MSI internal tests.
